// Ejemplo de programa para configurar el módulo HC-12
// Mediante el terminal del IDE de Arduino

#include <SoftwareSerial.h>

SoftwareSerial HC12(2, 3);  // HC-12 TX Pin, HC-12 RX Pin

void setup()
{
  Serial.begin(9600);   // Conexión USB al ordenador
  HC12.begin(9600);     // Conexión serie al módulo HC-12
}

void loop()
{ 
  while (HC12.available())    // Envía los datos del ordenador al HC-12
    Serial.write(HC12.read());
    
  while (Serial.available())  // Envía los datos del HC-12 al ordenador
    HC12.write(Serial.read());
}
